#!/bin/sh

echo "Stopping Cathexis servers"

cd `dirname $0`

PIDS=`ps | grep -E -f servers.pat | awk '($0!~/zapwait/)&&($0!~/grep/) {print $1}'`

case ${PIDS} in
"") echo "Not running"; exit 0 ;;
esac

echo "Killing: $PIDS"
kill ${PIDS}

LOOP_COUNT=15

# Wait for all the processes to die
while [ 1 ]
do
  # Check how many are still running
	PROC_COUNT=0
	for i in $PIDS
	do
		ps | awk '{print $1}' | grep $i > /dev/null
		if [ $? -eq 0 ]
		then
				PROC_COUNT=$(($PROC_COUNT+1))
		fi
	done
	
#	echo "Remaining: "$PROC_COUNT" (give up in "$LOOP_COUNT" sec)"
	if [ $PROC_COUNT -eq 0 ]
	then
      # Process count is 0
			exit
	fi

	LOOP_COUNT=$(($LOOP_COUNT-1))
	if [ $LOOP_COUNT -eq 0 ]
	then
#			echo "Timed out waiting for servers to die"
			exit
	fi
	sleep 1
done
